com.aliyun.svideosdk.common.struct.common

## Class AliyunBorderParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.common.AliyunBorderParam.Builder

- Enclosing class:
    AliyunBorderParam

      public static final class AliyunBorderParam.Builder
      extends java.lang.Object

  `AliyunBorderParam` builder static inner class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunBorderParam.Builder` | `borderColor(int color)` 设置视频边框颜色
    `AliyunBorderParam.Builder` | `borderWidth(int width)` 设置视频边框宽度
    `AliyunBorderParam` | `build()`
    `AliyunBorderParam.Builder` | `corner(float cornerSize)` 设置视频圆角半径值
    `AliyunBorderParam.Builder` | `cornerRadius(float radius)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### borderWidth

          public AliyunBorderParam.Builder borderWidth(int width)

      设置视频边框宽度
      Parameters:
        `width` - 边框宽度
      Returns:
        a reference to this Builder

    - #### borderColor

          public AliyunBorderParam.Builder borderColor(int color)

      设置视频边框颜色
      Parameters:
        `color` - 边框颜色
      Returns:
        a reference to this Builder

    - #### cornerRadius

          @Deprecated
          public AliyunBorderParam.Builder cornerRadius(float radius)

      Deprecated.
      设置视频圆角半径与宽度比, 建议使用 `corner(float)`
      Parameters:
        `radius` - 圆角半径
      Returns:
        a reference to this Builder

    - #### corner

          public AliyunBorderParam.Builder corner(float cornerSize)

      设置视频圆角半径值
      Parameters:
        `cornerSize` - 圆角半径 单位：像素
      Returns:
        a reference to this Builder

    - #### build

          public AliyunBorderParam build()

      Returns:
        根据之前通过 `AliyunBorderParam.Builder` 设置的参数构造返回 `AliyunBorderParam` 类实例